#####################################
### someone's ansible provisioner ###
#####################################
# Part of: https://git.somenet.org/root/pub/somesible.git
# 2017-2025 by someone <someone@somenet.org>
#
---
- name: install kde packages
  apt:
    pkg:
    - akonadi-backend-sqlite
    - akonadiconsole
    - akregator
    - ark
    - bluedevil
    - bluedevil
    - bluetooth
    - bluez-cups
    - bluez-firmware
    - bluez-meshd
    - bluez-obexd
    - bluez-tools
    - chromium
    - cups
    - dolphin
    - gwenview
    - hpijs-ppds
    - hplip
    - kaddressbook
    - kcalc
    - kde-config-screenlocker
    - kde-config-sddm
    - kde-spectacle
    - kde-style-oxygen-qt5
    - kdegraphics-thumbnailers
    - kdepim
    - kdialog
    - keepassxc
    - khotkeys
    - kmail
    - knotes
    - konsole
    - kontact
    - korganizer
    - kscreen
    - kscreen
    - kwalletmanager
    - kwin-x11
    - kwrite
    - laptop-detect
    - libnotify-bin
    - libreoffice
    - libreoffice-sdbc-firebird
    - libreoffice-sdbc-hsqldb
    - network-manager
    - okular
    - pdftk
    - plasma-dataengines-addons
    - plasma-desktop
    - plasma-nm
    - plasma-pa
    - plasma-runners-addons
    - plasma-thunderbolt
    - plasma-wallpapers-addons
    - plasma-widgets-addons
    - plasma-workspace
    - polkit-kde-agent-1
    - powerdevil
    - powertop
    - print-manager
    - printer-driver-gutenprint
    - printer-driver-hpcups
    - printer-driver-hpijs
    - rfkill
    - sddm
    - sddm-theme-elarun
    - skanlite
    - skanpage
    - smplayer
    - sweeper
    - tesseract-ocr
    - udisks2
    - upower
    - wireless-tools
    - x11vnc
    - xdg-utils
    - xorg
    - xserver-xorg-input-all
    - xserver-xorg-video-all

    state: present
    policy_rc_d: 101
  tags: "online"
